Skip to main content
`Ctrl`+`K`

# add_stokes_axis_to_wcs

astropy.wcs.utils.add_stokes_axis_to_wcs(wcs, add_before_ind)

  Add a new Stokes axis that is uncorrelated with any other axes.

  Parameters:
    wcs `WCS`

      The WCS to add to

    add_before_ind `python:int`

      Index of the WCS to insert the new Stokes axis in front of. To add at the end, do add_before_ind = wcs.wcs.naxis The beginning is at position 0.

  Returns:
    `WCS`

      A new `WCS` instance with an additional axis